# Draw
TKDraw
Draw

# Draw_Grid Class Reference

`#include <Draw_Grid.hxx>`

Inheritance diagram for Draw_Grid:

[legend]

## Public Member Functions

Standard_EXPORT | Draw_Grid ()
| Creates a grid. .
Standard_EXPORT void | Steps (const Standard_Real StepX, const Standard_Real StepY, const Standard_Real StepZ)
| Sets the steps along the X, Y & Z axis. .
Standard_Real | StepX () const
| Returns the step along the X axis. .
Standard_Real | StepY () const
| Returns the step along the Y axis. .
Standard_Real | StepZ () const
| Returns the step along the Z axis. .
Standard_Boolean | IsActive () const
| Returns if the grid is active or not. .
Standard_EXPORT void | DrawOn (Draw_Display &Out) const
| Displays the grid. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | myStepX
Standard_Real | myStepY
Standard_Real | myStepZ
Standard_Boolean | myIsActive

## Constructor & Destructor Documentation

Standard_EXPORT Draw_Grid::Draw_Grid | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void Draw_Grid::DrawOn | ( | Draw_Display & | Out | ) | const`[virtual]`

| Implements Draw_Drawable3D.

Standard_EXPORT const Draw_Grid::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Draw_Drawable3D.

Standard_Boolean Draw_Grid::IsActive | ( |  | ) | const`[inline]`

Standard_EXPORT void Draw_Grid::Steps | ( | const Standard_Real | StepX,
|  | const Standard_Real | StepY,
|  | const Standard_Real | StepZ
| ) |

Standard_Real Draw_Grid::StepX | ( |  | ) | const`[inline]`

Standard_Real Draw_Grid::StepY | ( |  | ) | const`[inline]`

Standard_Real Draw_Grid::StepZ | ( |  | ) | const`[inline]`

## Field Documentation

Standard_Boolean Draw_Grid::myIsActive `[private]`

Standard_Real Draw_Grid::myStepX `[private]`

Standard_Real Draw_Grid::myStepY `[private]`

Standard_Real Draw_Grid::myStepZ `[private]`

The documentation for this class was generated from the following files:

- Draw_Grid.hxx
- Draw_Grid.lxx